{% extends "base.html" %}
{% load static %}

{% block title %}Ma liste{% endblock %}

{% block css %}
<link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.2/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-T3c6CoIi6uLrA9TneNEoa7RxnatzjcDSCmG1MXxSR1GAsXEV/Dwwykc2MPK8M2HN" crossorigin="anonymous">
<link rel="stylesheet" type="text/css" href="{% static '../static/css/base.css' %}"/>
<link rel="stylesheet" type="text/css" href="{% static '../static/css/myList.css' %}"/>
{% endblock %}
{% block content %}

{% if user.is_authenticated %}
{% if has_list %}
<div>
    <div class="yaganime-myList-top">
        <span class="yaganime-myList-top-title">{{ list_name}}</span>
        <span class="yaganime-myList-top-numAnime">{{ list_length }} Anime</span>
    </div>
    <div class="yaganime-myList-topLine"></div>
    {% if hasAnime %}
    <div class="d-flex justify-content-center flex-wrap">
        {% for anime in listAnimes %}
        <div class="yaganime-general-card m-3 d-flex flex-column justify-content-center align-items-center" style="width: 200px; height: 350px">
            <div class="yaganime-general-card-head d-flex flex-column align-items-center">
                <div class=" d-flex justify-content-center align-items-center m-1" style="width: 100%; height: 50%">
                    <div class="yaganime-general-card-head-like m-2 d-flex justify-content-center align-items-center">
                        <!--Remplacer le chiffre avec celui de l'API -->
                        <div class="d-flex justify-content-center align-items-center"><span>{{ anime.mean }} </span><img src="../static/img/1289679474.svg" style="width: 12px; height: 12px;position: relative;top: -1px;"></div>
                    </div>
                    <div class="yaganime-general-card-head-rank d-flex justify-content-center align-items-center">
                        <!--Remplacer le chiffre avec le classement de l'API -->
                        <span>#<span class="me-1">{{ anime.rank }}</span></span>
                    </div>
                </div>
                <div class="yaganime-general-card-head-title d-flex justify-content-center align-items-center">
                    <!--Remplacer le nom avec celui de l'API -->
                    <span style="text-align: center;width: 95%;overflow: hidden;">{{ anime.title }}</span>
                </div>

            </div>
            <div class="yaganime-general-card-body d-flex justify-content-center align-items-center">
                <div class="yaganime-general-card-body-img d-flex justify-content-center align-items-center">
                    <a href="{% url 'details' anime_id=anime.id %}" style="height: 100%; width: 100%">
                        <!--Mettre lien image de l'API -->
                        <img style="width: 100%; height: 100%; border-radius: 18px" src="{{ anime.picture }}" alt="Error">
                    </a>
                </div>
            </div>
            <div class="yaganime-general-card-foot d-flex justify-content-center align-items-center">
                <form method="post" action="{% url 'supprimer_anime_from_list' %}">
                    {% csrf_token %}
                    <input type="hidden" name="anime_id" value="{{ anime.id }}">
                    <button type="submit">Supprimer</button>
                </form>
            </div>
        </div>
        {% endfor %}
    </div>
    {% endif %}
</div>
{% else %}
<!-- Affiche un formulaire pour créer une nouvelle liste -->
<form method="post" action="{% url 'create_list' %}">
    {% csrf_token %}
    <label for="list_name">Nom de la liste : </label>
    <input type="text" id="list_name" name="list_name" required>
    <button type="submit">Créer la liste</button>
</form>
{% endif %}
{% else %}
<div class="d-flex justify-content-center">
    <a href="{% url 'login' %}">Veuillez vous connecter pour avoir une liste.</a>
</div>
{% endif %}

{% endblock %}
{% block script %}
<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.2/dist/js/bootstrap.bundle.min.js" integrity="sha384-C6RzsynM9kWDrMNeT87bh95OGNyZPhcTNXj1NW7RuBCsyN/o0jlpcV8Qyq46cDfL" crossorigin="anonymous"></script>
<script src="{% static '../static/js/myList.js' %}"></script>
{% endblock %}
